> For the complete documentation index, see [llms.txt](https://docs.eseye.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/tax-code.md).

# Tax Code

## Viewing all tax codes

> To view all tax codes:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Tax code"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/taxCode":{"get":{"summary":"Viewing all tax codes","operationId":"get-api-v2-taxcode","tags":["Tax code"],"description":"To view all tax codes:","responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"pageToken":{"type":"string"},"requestedPageSize":{"type":"integer"},"itemCount":{"type":"integer"},"items":{"type":"array","items":{"type":"object","properties":{"taxCodeId":{"type":"integer"},"taxCode":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}}}}
```

## Creating a new tax code

> To create a new tax code:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Tax code"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/taxCode":{"post":{"summary":"Creating a new tax code","operationId":"post-api-v2-taxcode","tags":["Tax code"],"description":"To create a new tax code:","requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"taxCode":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"}},"required":["taxCode","name","title"]}}}},"responses":{"200":{"description":"Successful response"}}}}}}
```

## Viewing a specific tax code

> To view details for a specific tax code:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Tax code"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/taxCode/{taxCodeId}":{"get":{"summary":"Viewing a specific tax code","operationId":"get-api-v2-taxcode-taxcodeid","tags":["Tax code"],"description":"To view details for a specific tax code:","parameters":[{"name":"taxCodeId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"taxCodeId":{"type":"string"},"taxCode":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}
```

## Updating a specific tax code

> To update a specific tax code:

```json
{"openapi":"3.1.0","info":{"title":"Portfolio API","version":"2.0.0"},"tags":[{"name":"Tax code"}],"servers":[{"url":"https://portfolio.api.anynetiot.com"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/api/v2/taxCode/{taxCodeId}":{"patch":{"summary":"Updating a specific tax code","operationId":"patch-api-v2-taxcode-taxcodeid","tags":["Tax code"],"description":"To update a specific tax code:","parameters":[{"name":"taxCodeId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}},"responses":{"200":{"description":"Successful response","content":{"application/json":{"schema":{"type":"object","properties":{"taxCodeId":{"type":"string"},"taxCode":{"type":"string"},"name":{"type":"string"},"title":{"type":"string"},"status":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.eseye.com/api-reference/api-reference-legacy/portfolio/tax-code.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
